#! @PYTHON@

"""idjc(.in.in): Application launcher of IDJC"""

#  Copyright (C) 2011-2021 Stephen Fairchild (s-fairchild@users.sourceforge.net)
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program in the file entitled COPYING.
#  If not, see <http://www.gnu.org/licenses/>.


import locale
locale.setlocale(locale.LC_ALL, "")

import sys
major, minor = sys.version_info[:2]
if major < 3 or (major == 3 and minor < 9):
    sys.stderr.write("Using Python version " + str(major) + "." +
                     str(minor) + " which is too old--exiting.\n")
    sys.exit(5)

if major == 3 and minor == 10:
    sys.stderr.write("The currently installed version of Python is end-of-life"
                     "and may also lack language features this program expects"
                     " to be available.\n")

try:
    import setproctitle
except ImportError:
    print("Consider installing python module 'setproctitle' so that idjc "
          "appears to utilities like top/htop/killall with the correct name.")
else:
    setproctitle.setproctitle("@PACKAGE_NAME@")

sys.path.insert(0, """@idjcpythondir@""")

try:
    import idjc
except Exception as e:
    print("failed to import the idjc package")
    raise e
else:
    exit(idjc.main())
